declare enum EEventType {
    REGULAR = "REGULAR",
    WARNING = "WARNING",
    INFO = "INFO",
    ERROR = "ERROR"
}

interface IEvent {
    type: EEventType;
    data: any;
    label?: string;
    userInfo?: any;
}

declare class RemoteDebugger {
    #private;
    constructor();
    initialize(appId: string): void;
    log(event: IEvent, onSuccess?: (event: IEvent) => void, onError?: (err: any) => void): Promise<any>;
}
declare const _default: RemoteDebugger;

export default _default;
export { IEvent };
